part of 'app_bloc.dart';

sealed class AppEvent extends Equatable {
  const AppEvent();
}

final class AppThemeSwitchLight extends AppEvent {
  final ThemeData lightTheme;

  const AppThemeSwitchLight({required this.lightTheme});

  @override
  List<Object?> get props => [lightTheme];
}

final class AppThemeSwitchDark extends AppEvent {
  final ThemeData darkTheme;

  const AppThemeSwitchDark({required this.darkTheme});

  @override
  List<Object?> get props => [darkTheme];
}

final class AppChangeLocale extends AppEvent {
  final String appLocale;

  const AppChangeLocale(this.appLocale);

  @override
  List<Object?> get props => [appLocale];
}
